Bug 1259401 - perl-Module-Install-TestTarget-0.19-7.fc24 FTBFS: test fails with recent ExtUtils::MakeMaker
perl-Module-Install-TestTarget-0.19-7.fc24 FTBFS: test fails with recent ExtU...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Module-Install-TestTarget (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/ta...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 10:07 EDT by Petr Pisar
Modified: 2015-09-03 10:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Module-Install-TestTarget-0.19-8.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 10:01:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 106843 None None None Never

  None (edit)
Description Petr Pisar 2015-09-02 10:07:19 EDT
perl-Module-Install-TestTarget-0.19-7.fc24 fails to build in F24 because a test fails:

+ make test
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/*/*.t
# You have make command: make
t/00_compile.t .......................... ok
#   Failed test 'overwrote test_dynamic'
#   at t/default_make_test/with_extra_tests.t line 9.
#                   undef
#     doesn't match '(?^:-MFoo::Bar)'
# Looks like you failed 1 test of 2.
t/default_make_test/with_extra_tests.t .. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/2 subtests 

Difference between working and failing build root is:

        perl-ExtUtils-MakeMaker 	7.04-346.fc23 	> 	7.06-2.fc24
	perl-ExtUtils-Command 	1.20-346.fc23 	> 	7.06-2.fc24
	dnf-plugins-core 	0.1.10-1.fc24 	> 	0.1.11-1.fc24
	python3-dnf-plugins-core 	0.1.10-1.fc24 	> 	0.1.11-1.fc24
	kernel-headers 	4.2.0-0.rc8.git3.1.... 	> 	4.2.0-1.fc24

Note You need to log in before you can comment on or make changes to this bug.